## chaussette 1.3.0+git20170419+82ac44a

=== Makefile ===
.PHONY: docs test

BIN = `pwd`/bin

ifndef VTENV_OPTS
VTENV_OPTS = "--no-site-packages"
endif

test:
	$(BIN)/pip install tox
	$(BIN)/tox

bin/python:
	virtualenv $(VTENV_OPTS) .
	$(BIN)/python setup.py develop

docs: bin/python
	$(BIN)/pip install sphinx
	$(BIN)/sphinx-build -b html -d docs/build/doctrees docs/source build/html

upload: bin/python
	$(BIN)/pip install wheel
	$(BIN)/python setup.py sdist --formats=zip,gztar bdist_wheel upload

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Chaussette.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Chaussette.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Chaussette"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Chaussette"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## chaussette 1.3.0

=== debian/changelog ===
chaussette (1.3.0-1) unstable; urgency=low
  
  * initial packaging (closes: #784654)

 -- David Douard <david.douard@logilab.fr>  Sun, 14 Jun 2015 22:25:19 +0200

=== debian/control ===
Source: chaussette
Maintainer: David Douard <david.douard@logilab.fr>
Section: python
Priority: optional
Homepage: https://chaussette.readthedocs.org
Vcs-Git: git://github.com/circus-tent/chaussette.git -b debian
Vcs-Browser: https://github.com/circus-tent/chaussette
Build-Depends: 
  python-setuptools (>= 0.6b3), 
  python-all (>= 2.6.6-3), 
  python-six (>= 1.3),
  python-paste,
  python-pastedeploy,
  python-nose,
  python-socketio,
  python-ws4py,
  python-waitress,
  python-tornado,
  python-requests,
  python-minimock,
  python-greenlet,
  python-eventlet,
  python-gevent-websocket,
  python-unittest2,
  python-sphinx,
  dh-python,
  debhelper (>= 9),
Standards-Version: 3.9.6
X-Python-Version: >= 2.7

Package: chaussette
Architecture: all
Depends: 
  python-six (>= 1.3),
  python-paste,
  python-pastedeploy,
  ${misc:Depends}, 
  ${python:Depends},
Suggests:
  python-nose,
  python-socketio,
  python-ws4py,
  python-waitress,
  python-tornado,
  python-requests,
  python-minimock,
  python-greenlet,
  python-eventlet,
  python-gevent-websocket,
  python-werkzeug,
Description: WSGI Server for Circus
 Chaussette is a WSGI server you can use to run your Python WSGI applications.
 .
 The particularity of Chaussette is that it can either bind a socket on a port 
 like any other server does or run against already opened sockets.
 .
 That makes Chaussette the best companion to run a WSGI or Django stack under 
 a process and socket manager, such as Circus or Supervisor.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=chaussette
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/examples'

%:
	dh $@ --with python2 --buildsystem=pybuild

# pybuild sets the http_proxy environment variable to prevent 'python setup.py'
# from downloading stuff from pypi, but this breaks the tests that perform 
# some GET queries, so we unset it to run tests 
override_dh_auto_test:
	http_proxy="" dh_auto_test

override_dh_installman:
	make -C docs man
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/circus-tent/chaussette/tags .*/v?(\d\S*)\.tar\.gz

## chaussette 1.3.0+git20170419+82ac44a

=== debian/changelog ===
chaussette (1.3.0+git20170419+82ac44a-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2021 11:58:50 +0100

chaussette (1.3.0+git20170419+82ac44a-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove tornado from chaussette.tests.test_backend.TestBackend.test_backends
    to avoid FTBFS (Closes: #963323).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2021 11:49:30 +0100

chaussette (1.3.0+git20170419+82ac44a-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch from python2 to python3 (remove some deps, they are skipped when
    running py3k); Closes: #935438

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Sep 2019 00:39:37 -0400

chaussette (1.3.0+git20170419+82ac44a-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot 1.3.0+git20170419+82ac44a (Closes: #855671).
  * Refresh the patch.
  * Add a git watch source.
  * Set the section to web (Closes: #832193).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Sep 2019 17:24:59 +0200

=== debian/control ===
Source: chaussette
Maintainer: David Douard <david.douard@logilab.fr>
Section: web
Priority: optional
Homepage: https://chaussette.readthedocs.org
Vcs-Git: git://github.com/circus-tent/chaussette.git -b debian
Vcs-Browser: https://github.com/circus-tent/chaussette
Build-Depends: 
  python3-setuptools (>= 0.6b3), 
  python3-all (>= 2.6.6-3), 
  python3-six (>= 1.3),
  python3-paste,
  python3-pastedeploy,
  python3-nose,
  python3-ws4py,
  python3-waitress,
  python3-tornado,
  python3-requests,
  python3-minimock,
  python3-greenlet,
  python3-eventlet,
  python3-unittest2,
  python3-sphinx,
  dh-python,
  debhelper (>= 9),
Standards-Version: 3.9.6
X-Python-Version: >= 2.7

Package: chaussette
Architecture: all
Depends: 
  python3-six (>= 1.3),
  python3-paste,
  python3-pastedeploy,
  ${misc:Depends}, 
  ${python3:Depends},
Suggests:
  python3-nose,
  python3-ws4py,
  python3-waitress,
  python3-tornado,
  python3-requests,
  python3-minimock,
  python3-greenlet,
  python3-eventlet,
  python3-werkzeug,
Description: WSGI Server for Circus
 Chaussette is a WSGI server you can use to run your Python WSGI applications.
 .
 The particularity of Chaussette is that it can either bind a socket on a port 
 like any other server does or run against already opened sockets.
 .
 That makes Chaussette the best companion to run a WSGI or Django stack under 
 a process and socket manager, such as Circus or Supervisor.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/circus-tent/chaussette/tags .*/v?(\d\S*)\.tar\.gz

opts="mode=git, pgpmode=none, pretty=1.3.0+git%cd+%h, repack, compression=xz" \
  https://github.com/circus-tent/chaussette \
  HEAD
